Bug 1827271 - rolling_upgrade.yaml is failing with error "fail on unregistered red hat rhcs linux"
Summary: rolling_upgrade.yaml is failing with error "fail on unregistered red hat rhc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: z5
: 3.3
Assignee: Guillaume Abrioux
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
Depends On: 1826884
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 14:05 UTC by Guillaume Abrioux
Modified: 2020-06-10 15:44 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.42-1.el7cp Ubuntu: ceph-ansible_3.2.42-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1826884
Environment:
Last Closed: 2020-06-10 15:44:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 5306 0 None closed typo: updating type check on rc 2021-01-20 09:45:55 UTC
Red Hat Product Errata RHBA-2020:2488 0 None None None 2020-06-10 15:44:38 UTC

Description Guillaume Abrioux 2020-04-23 14:05:48 UTC
+++ This bug was initially created as a clone of Bug #1826884 +++

Description of problem: Updating ceph cluster from RHCS 4 to RHCS 4.1 on rhel 7.8 fails with "fail on unregistered red hat rhcs linux"



Actual results:rolling_upgrade.yaml is failing with "fail on unregistered red hat rhcs linux"


Expected results:rolling_upgrade.yaml should update the cluster from RHCS 4 to RHCS 4.1



Workaround suggested :  https://github.com/ceph/ceph-ansible/pull/5296/files

after making the above change the error is not seen anymore. 

attached are the logs

--- Additional comment from RHEL Program Management on 2020-04-22 17:04:28 UTC ---

Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

--- Additional comment from Harish Munjulur on 2020-04-22 17:05:49 UTC ---

Comment 13 errata-xmlrpc 2020-06-10 15:44:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2488


Note You need to log in before you can comment on or make changes to this bug.